@import url("css/variables.css");
html {
  scroll-behavior: smooth;
  font-family: "Inter", sans-serif;
}
body {
  background-color: #000;
  color: var(--text-color);
}
/* HEADER */
header {
  padding: 3.2rem 8rem;
  display: flex;
  justify-content: space-between;
  align-items: center;
  border-bottom: 1px solid var(--text-color);
}
.logo {
  font-size: 3.2rem;
  font-weight: 500;
}
nav {
  font-size: 1.8rem;
  display: flex;
  gap: 2.4rem;
}
nav a:hover {
  color: var(--accent);
  cursor: pointer;
  transition-duration: 0.2s;
}
.nav-menu {
  display: none;
}
.nav-menu.active {
  display: block;
}
#hamburger {
  display: none;
}
/* Optional active animation for the hamburger icon */
#hamburger.active .bar:nth-child(1) {
  transform: translateY(8px) rotate(45deg);
}
#hamburger.active .bar:nth-child(2) {
  opacity: 0;
}
#hamburger.active .bar:nth-child(3) {
  transform: translateY(-8px) rotate(-45deg);
}

/* MAIN */
main {
  max-width: 1920px;
  margin: 0 auto;
}
/* HERO */
#hero {
  background-image:
    linear-gradient(rgba(0, 0, 0, 0), rgba(0, 0, 0, 0.6)),
    url("assets/hero-background.jpg");
  background-size: cover;
  background-repeat: no-repeat;
  background-position: center;
  min-height: 60rem;
}
.buttons-container {
  font-size: 2.4rem;
  display: flex;
  gap: 2.4rem;
  justify-content: center;
  align-items: flex-end;
  height: 60rem;
  padding-bottom: 4rem;
}
.buttons {
  display: flex;
  gap: 2.4rem;
  align-items: center;
}
#time-button {
  padding: 0.4rem 0.8rem;
  border: 2px solid var(--accent);
  border-radius: 0.8rem;
  transition:
    background-color 0.2s ease-in-out,
    color 0.2s ease-in-out;
}
#time-button:hover {
  color: black;
  background-color: var(--accent);
}
#new-dart-button:hover {
  color: var(--accent);
  transition-duration: 0.2;
}
/* NY I DART */
.step-container {
  display: flex;
  gap: 1.6rem;
  justify-content: space-between;
}
.step {
  background-color: var(--muted);
  padding: 1.6rem;
  border-radius: 0.8rem;
  display: flex;
  flex-direction: column;
  gap: 0.8rem;
}
.number {
  color: var(--accent);
  font-size: 1.4rem;
  font-weight: 700;
}
.card-heading {
  font-size: 1.6rem;
  font-weight: 600;
}
.desc {
  font-size: 1.4rem;
  line-height: 2rem;
}
/* TRENINGSTIDER */
.day-card-container {
  display: flex;
  justify-content: center;
  gap: 4rem;
}
.day-card {
  display: flex;
  flex-direction: column;
  gap: 0.8rem;
}
.day-top h4 {
  font-size: 1.4rem;
  font-weight: 600;
  letter-spacing: 0.1rem;
}
.day-info {
  display: flex;
  flex-direction: column;
  gap: 0.8rem;
}
.card-heading {
  font-size: 3.2rem;
}
/* SPONSORS */
.sponsor-container {
  display: flex;
  flex-direction: column;
  align-items: center;
  gap: 0.8rem;
  background-color: var(--muted);
  padding: 2.4rem 1.6rem;
  border-radius: 0.8rem;
}
.sponsor-container h4 {
  font-size: 1.8rem;
  font-weight: 700;
}
.sponsor-container p {
  font-size: 1.4rem;
}
.sponsor-container a {
  text-decoration: underline;
  font-size: 1.4rem;
  font-weight: 700;
  margin-top: 0.8rem;
}
.sponsorer {
  padding: 4rem 0;
}
.sponsorer h4 {
  font-size: 2.4rem;
  font-weight: 700;
  padding-bottom: 4rem;
  text-align: center;
}
.sponsorer-container {
  display: flex;
  gap: 1.6rem;
  justify-content: center;
}
.sponsorer-container a img {
  width: 40rem;
  height: 20rem;
  object-fit: cover;
}
/* MEDLEMSKAP */
.price-info {
  display: flex;
  gap: 0.8rem;
}
.price-info p {
  display: flex;
  align-self: flex-end;
}
/* OFTE STILLTE SPØRSMÅL */
#faq-container {
  display: flex;
  flex-direction: column;
  font-size: 1.6rem;
}
#faq-container li {
  background-color: var(--muted);
  padding: 0.8rem 1.6rem;
  border-radius: 0.8rem;
  margin-bottom: 1.6rem;
}
#faq-container details {
  font-size: 1.4rem;
}
#faq-container summary {
  padding-bottom: 0.8rem;
  font-weight: 700;
}
#faq-container:hover {
  cursor: pointer;
}
/* KONTAKT OSS */
#kontakt {
  text-align: center;
}
.contact-container {
  display: flex;
  justify-content: center;
}
.contact-card {
  display: flex;
  flex-direction: column;
  align-items: flex-start;
  gap: 1.6rem;
}
#socials {
  display: flex;
  gap: 15px;
  width: 100%;
  justify-content: center;
  margin-top: 10px;
}
.contact-item {
  display: flex;
  align-items: center;
  font-size: 1.4rem;
  gap: 0.8rem;
}
.contact-item i {
  width: 3rem;
  height: 3rem;
  display: flex;
  justify-content: center;
  align-items: center;
  border: 2px solid var(--accent);
  border-radius: 50%;
}
#socials {
  display: flex;
  gap: 1.8rem;
  font-size: 3.2rem;
  justify-content: center;
}
/* FOOTER */
footer {
  display: flex;
  justify-content: space-between;
  align-items: center;
  border-top: 1px solid var(--text-color);
  padding: 8rem;
}
small {
  font-size: 1.2rem;
}
footer img {
  width: 30rem;
  height: 30rem;
  object-fit: cover;
}
footer small {
  align-self: flex-end;
}
.hidden {
  display: none;
}
.red {
  color: var(--accent);
}
section {
  margin: 12rem 8rem;
}
.section-heading {
  font-size: 2.4rem;
  margin-bottom: 1.6rem;
  font-weight: 800;
}
/* MEDIA QUERIES  */
@media screen and (max-width: 850px) {
  .main-nav {
    display: none;
  }
  #hamburger {
    display: flex;
    flex-direction: column;
    gap: 5px;
    background: none;
    border: none;
    cursor: pointer;
  }

  #hamburger .bar {
    width: 25px;
    height: 3px;
    background-color: #333;
    transition: 0.3s;
  }
  .nav-list {
    display: flex;
    flex-direction: column;
    gap: 1.6rem;
    align-items: center;
    margin-top: 4rem;
  }
}

@media screen and (max-width: 800px) {
  .step-container {
    flex-direction: column;
  }
  .sponsorer-container {
    flex-direction: column;
    align-items: center;
  }
  section {
    margin: 8rem 4rem;
  }
}

@media screen and (max-width: 610px) {
  .day-card-container {
    flex-direction: column;
    align-items: center;
  }
  .day-card {
    width: 100%;
  }
  footer {
    flex-direction: column;
    gap: 1.6rem;
    text-align: center;
  }
  small {
    display: none;
  }
  .buttons {
    flex-direction: column;
  }
}
